Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002273TestLinkTest Executepublic2009-03-25 00:512016-07-12 11:58
Reportertstr 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0002273: [execute And save results] button displays a white screen
DescriptionHi,

I have defined an automated execution test case and then the [execute And save results] button is enabled.

After clicking on it, testlink displays a white screen instead of the test descrption.

I enable access to the function executeTestCase() and correctly create the XMLRPC client in the attached files.

BR,

Antonio.
TagsRemote Execution
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon lib.zip [^] (11,486 bytes) 2009-03-25 00:51

- Relationships

-  Notes
(0005977)
amitkhullar (reporter)
2009-03-25 14:42

Check the apache logs for the error when this operation is performed.

Amit
(0005978)
tstr (reporter)
2009-03-25 14:48

The apache file access.log provides the following information:

127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/gui/javascript/execTree.js HTTP/1.1" 200 4869
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/gui/javascript/expandAndCollapseFunctions.js HTTP/1.1" 200 2498
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/panel/tool-sprites.gif HTTP/1.1" 200 3990
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/s.gif HTTP/1.1" 200 43
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/tree/leaf.gif HTTP/1.1" 200 945
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/tree/folder-open.gif HTTP/1.1" 200 956
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/tree/elbow.gif HTTP/1.1" 200 850
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/tree/elbow-end-minus.gif HTTP/1.1" 200 905
127.0.0.1 - - [25/Mar/2009:08:47:50 +0100] "GET /testlink/third_party/ext-2.0/images/default/tree/elbow-end.gif HTTP/1.1" 200 844
127.0.0.1 - - [25/Mar/2009:08:48:56 +0100] "GET /testlink/gui/javascript/validate.js HTTP/1.1" 200 6303
127.0.0.1 - - [25/Mar/2009:08:48:55 +0100] "GET /testlink/lib/execute/execSetResults.php?version_id=4&level=testcase&id=3&build_id=1&include_unassigned=0 HTTP/1.1" 200 16874
127.0.0.1 - - [25/Mar/2009:08:48:56 +0100] "GET /testlink/gui/javascript/cfield_validation.js HTTP/1.1" 200 3359
127.0.0.1 - - [25/Mar/2009:08:48:56 +0100] "GET /testlink/gui/javascript/radio_utils.js HTTP/1.1" 200 526
127.0.0.1 - - [25/Mar/2009:08:49:11 +0100] "POST /testlink/lib/execute/execSetResults.php?version_id=4&level=testcase&id=3&build_id=1&include_unassigned=0 HTTP/1.1" 200 16874
(0005979)
tstr (reporter)
2009-03-25 14:49

Have to say that I din't set up any server to let Testlink connect to it, so I couldn't test yet the results and notes return. Anyway I think the execution request is working fine this way.
(0005981)
amitkhullar (reporter)
2009-03-25 16:04

I meant the error.log file of apache servers , it might contain an error which may cause the white page to display.
(0005982)
tstr (reporter)
2009-03-25 16:14

Amit,

to reproduce the error I had to change version from my php files to the originals. The error is produced because execSetResults.php calls the function 'executeTestCase' that is defined in common.php and remote_exec.php.
In my fix I included 'remote_exec.php' into 'execSetResults.php' since the function is commented in common.php.

Here you are the error log:


127.0.0.1 - - [25/Mar/2009:10:13:33 +0100] "GET /testlink/index.php HTTP/1.1" 200 970
127.0.0.1 - - [25/Mar/2009:10:13:33 +0100] "GET /testlink/lib/general/navBar.php HTTP/1.1" 200 5500
127.0.0.1 - - [25/Mar/2009:10:13:33 +0100] "GET /testlink/lib/general/mainPage.php HTTP/1.1" 200 15923
127.0.0.1 - - [25/Mar/2009:10:13:37 +0100] "GET /testlink/lib/general/frmWorkArea.php?feature=executeTest HTTP/1.1" 200 1066
127.0.0.1 - - [25/Mar/2009:10:13:37 +0100] "GET /testlink/lib/general/staticPage.php?key=executeTest HTTP/1.1" 200 2610
127.0.0.1 - - [25/Mar/2009:10:13:37 +0100] "GET /testlink/lib/execute/execNavigator.php HTTP/1.1" 200 10546
127.0.0.1 - - [25/Mar/2009:10:13:39 +0100] "GET /testlink/lib/execute/execSetResults.php?version_id=4&level=testcase&id=3&build_id=1&include_unassigned=0 HTTP/1.1" 200 16874
127.0.0.1 - - [25/Mar/2009:10:13:40 +0100] "POST /testlink/lib/execute/execSetResults.php?version_id=4&level=testcase&id=3&build_id=1&include_unassigned=0 HTTP/1.1" 500 -
(0005983)
amitkhullar (reporter)
2009-03-25 16:24

1: If I am correct the above log is still from the access.log file since the error.log has the format as below:

[Wed Mar 25 11:53:02 2009] [error] [client 172.16.25.104] PHP Fatal error: Call to a member function buildViewBugLink() on a non-object in C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\branch_1_8\\lib\\functions\\exec.inc.php on line 223, referer: http://amitkhullar/branch_1_8/lib/results/resultsNavigator.php [^]
[Wed Mar 25 11:54:50 2009] [error] [client 172.16.25.104] PHP Fatal error: Call to a member function buildViewBugLink() on a non-object in C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\branch_1_8\\lib\\functions\\exec.inc.php on line 223, referer: http://amitkhullar/branch_1_8/lib/results/resultsNavigator.php [^]
[Wed Mar 25 11:54:55 2009] [info] [client 172.16.25.104] (OS 10054)An existing connection was forcibly closed by the remote host. : core_output_filter: writing data to the network
[Wed Mar 25 11:54:57 2009] [error] [client 172.16.25.104] PHP Fatal error: Call to a member function buildViewBugLink() on a non-object in C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\branch_1_8\\lib\\functions\\exec.inc.php on line 223, referer: http://amitkhullar/branch_1_8/lib/results/resultsNavigator.php [^]
[Wed Mar 25 12:04:07 2009] [info] [client 172.16.25.186] (OS 10054)An existing connection was forcibly closed by the remote host. : core_output_filter: writing data to the network


2: Does the inclusion of the above code solve the problem you were facing ?

amit
(0005985)
tstr (reporter)
2009-03-25 16:36

1. Apologies, the error log was this one:
[Wed Mar 25 10:13:41 2009] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function executeTestCase() in C:\\Archivos de programa\\Apache Software Foundation\\Apache2.2\\htdocs\\testlink\\lib\\execute\\execSetResults.php on line 561, referer: http://localhost/testlink/lib/execute/execSetResults.php?version_id=4&level=testcase&id=3&build_id=1&include_unassigned=0 [^]

2. Yes, the code attached to this issue solves the problem.

3. Nevertheless you may check what to do with both implementations of 'executeTestCase' function in Testlink distro, one of them is commented in common.php and the other is the one I modified and use in remote_exec.php as written above. There may appear a duplicity error over there if someone uses the commented one.

4. This fix has been only tested up to the xmlrpc send message to an external automation server. It hasn't been tested what happens when the function receives an answer from a remote automation server.
(0006235)
mhavlat (reporter)
2009-04-07 04:32

Amit,
correctly there could be this file 'include' dependent on test automation availability in project. This option is available also via session.
I didn't use this feature yet.
Do you plan to add this fix into code or you suppose me to do it?

Please note, that we need to redesign this feature in future. It must use own DB table (not CustF) and be able work with other types of requests (e.g. CLI)

I also miss a documentation about.
Could anybody send me, an example of some values for any client tool that is usable on second side of execution request?
(0006258)
amitkhullar (reporter)
2009-04-08 11:49

Hi Martin, please do add the fix as I am not well versed with automation side of TL.

Thanks
Amit

- Issue History
Date Modified Username Field Change
2009-03-25 00:51 tstr New Issue
2009-03-25 00:51 tstr File Added: lib.zip
2009-03-25 14:42 amitkhullar Note Added: 0005977
2009-03-25 14:48 tstr Note Added: 0005978
2009-03-25 14:49 tstr Note Added: 0005979
2009-03-25 16:04 amitkhullar Note Added: 0005981
2009-03-25 16:14 tstr Note Added: 0005982
2009-03-25 16:24 amitkhullar Note Added: 0005983
2009-03-25 16:36 tstr Note Added: 0005985
2009-03-25 16:54 amitkhullar Status new => assigned
2009-03-25 16:54 amitkhullar Assigned To => mhavlat
2009-04-07 04:32 mhavlat Note Added: 0006235
2009-04-08 11:49 amitkhullar Note Added: 0006258
2010-02-25 00:44 mhavlat Status assigned => acknowledged
2010-02-28 22:29 mhavlat Assigned To mhavlat =>
2011-01-23 17:27 fman Tag Attached: Remote Execution
2011-03-20 16:30 fman Status acknowledged => closed
2011-03-20 16:30 fman Assigned To => fman
2011-03-20 16:30 fman Resolution open => fixed
2011-03-20 16:30 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker